Untiyengine.sprite


#1

Hello,

I have upgraded my Unity to 2018.1.6f1. I also downloaded the latest Aryzon SDK. When importing in a new project. I Get the build error:
“unityengine.sprite has no constructor defined”!
and several other errors.

Aryzon_Error|690x136

How can I fix this.

grtz,

Twan


#2

Hey! I’m gonna be updating the SDK tomorrow, the error will be gone then. Unity 2018 handles sprites different but you can just delete AR2DMenu and AR2DMenuItem (they are not used anymore). The error should then disappear :slight_smile:

The update to the SDK is pretty major and I suggest waiting for the update. It’s setup a bit different so it gets out of your way more and integrates real easy with standard ARKit / ARCore / Vuforia applications.